# Uses of Interface
org.apache.lucene.index.ImpactsSource

Packages that use ImpactsSource
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of ImpactsSource in org.apache.lucene.index

  Classes in org.apache.lucene.index that implement ImpactsSource
  Modifier and Type
  Class
  Description
  `class`
  `ImpactsEnum`
  Extension of `PostingsEnum` which also provides information about upcoming impacts.
  `final class`
  `SlowImpactsEnum`
  `ImpactsEnum` that doesn't index impacts but implements the API in a legal way.

- ## Uses of ImpactsSource in org.apache.lucene.search

  Constructors in org.apache.lucene.search with parameters of type ImpactsSource
  Modifier
  Constructor
  Description
  ``
  `MaxScoreCache(ImpactsSource impactsSource, Similarity.SimScorer scorer)`
  Sole constructor.